List All Secret References
curl --request GET \
--url https://eu1.api.matillion.com/dpc/v1/projects/{projectId}/secret-references \
--header 'Authorization: Bearer <token>'import requests
url = "https://eu1.api.matillion.com/dpc/v1/projects/{projectId}/secret-references"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://eu1.api.matillion.com/dpc/v1/projects/{projectId}/secret-references', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": 1,
"results": [
{
"description": "<string>",
"name": "Data-Productivity-Cloud-secret-name",
"provider": "<string>",
"secretKey": "aws-secret-key",
"secretName": "aws-secret-name",
"type": "PASSWORD",
"vaultName": "<string>",
"vaultType": "AWS"
}
],
"size": 50,
"total": 472
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}Secret References
List All Secret References
An endpoint for listing secret references
GET
/
v1
/
projects
/
{projectId}
/
secret-references
List All Secret References
Authorizations
a valid bearer token
Path Parameters
Query Parameters
Optional filter for secret reference types. If not provided, only PASSWORD types will be returned
Available options:
PASSWORD, OAUTH_USER_TOKENS, OAUTH_AUTHORIZATION_CODE, OAUTH_CLIENT_CRED, OAUTH_CLIENT_CREDENTIALS, COMPOSITE_TOKEN, CLOUD_PLATFORM_CREDENTIALS Optional filter for providers. This is applicable only for non-PASSWORD secret reference types
Response
Secret references have been retrieved
Was this page helpful?
Update the schedule by the given schedule id and schedule request
Previous
Create a Secret Reference
Next
⌘I
